QGIS Application - Bug report #13753
Data defined label rotation in Radians, not Degrees
2015-11-04 03:31 AM - Steven Kay

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:2.12.0 Regression?: No
Operating System: Linux Ubuntu 32-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 21780
Description

According to 'description’ popup on the data-defined rotation property for labels.. this suggests degrees...

Active: yes (ctrl|right-click toggles)

Usage:

In edit mode, layer's relevant labeling map tool is:
Defined attribute field -> enabled
Defined expression -> disabled

Expected input:

double [*-180.0 - 180.0%]

Valid input types:

string, int, double

Current definition (expression):

1.57

| noticed labels disappeared above a value of 10. After a bit of experimentation | discovered the units were radians (hence 1.57, to match
the 90 degree canvas rotation)

Can't remember if this used to be in degrees, or is this just an inconsistency with the pop-up description?

History

#1 - 2015-11-05 10:47 AM - Giovanni Manghi
- Status changed from Open to Feedback

| can apply use data defined rotation using values that are representing degrees... testing on linux/master.

#2 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#3 - 2015-12-19 10:05 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
